Index: trunk/sources/HeuristicLab/CopyAssemblies.cmd
===================================================================
--- trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 561)
+++ trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 564)
@@ -1,3 +1,3 @@
-copy "..\..\..\HeuristicLab.PluginInfrastructure.GUI\ICSharpCode.SharpZipLib License.txt" .\
+copy "%1\HeuristicLab.PluginInfrastructure.GUI\ICSharpCode.SharpZipLib License.txt" .\
 
 rmdir plugins /s /q 
@@ -6,47 +6,47 @@
 mkdir plugins\temp
 mkdir plugins\backup
-copy "..\..\..\HeuristicLab.AdvancedOptimizationFrontend\bin\%1\HeuristicLab.AdvancedOptimizationFrontend.dll" .\plugins
-copy "..\..\..\HeuristicLab.AdvancedOptimizationFrontend\WeifenLuo.WinFormsUI.Docking.dll" .\plugins
-copy "..\..\..\HeuristicLab.AdvancedOptimizationFrontend\WeifenLuo.WinFormsUI.Docking License.txt" .\plugins
-copy "..\..\..\HeuristicLab.BitVector\bin\%1\HeuristicLab.BitVector.dll" .\plugins
-copy "..\..\..\HeuristicLab.CEDMA.Charting\bin\%1\HeuristicLab.CEDMA.Charting.dll" .\plugins
-copy "..\..\..\HeuristicLab.CEDMA.Core\bin\%1\HeuristicLab.CEDMA.Core.dll" .\plugins
-copy "..\..\..\HeuristicLab.CEDMA.DB\bin\%1\HeuristicLab.CEDMA.DB.dll" .\plugins
-copy "..\..\..\HeuristicLab.CEDMA.DB\bin\%1\SemWeb.SqliteStore.dll" .\plugins
-copy "..\..\..\HeuristicLab.CEDMA.DB\bin\%1\SemWeb.dll" .\plugins
-copy "..\..\..\HeuristicLab.CEDMA.DB.Interfaces\bin\%1\HeuristicLab.CEDMA.DB.Interfaces.dll" .\plugins
-copy "..\..\..\HeuristicLab.CEDMA.Operators\bin\%1\HeuristicLab.CEDMA.Operators.dll" .\plugins
-copy "..\..\..\HeuristicLab.CEDMA.Server\bin\%1\HeuristicLab.CEDMA.Server.dll" .\plugins
-copy "..\..\..\HeuristicLab.Charting\bin\%1\HeuristicLab.Charting.dll" .\plugins
-copy "..\..\..\HeuristicLab.Charting.Data\bin\%1\HeuristicLab.Charting.Data.dll" .\plugins
-copy "..\..\..\HeuristicLab.Core\bin\%1\HeuristicLab.Core.dll" .\plugins
-copy "..\..\..\HeuristicLab.Constraints\bin\%1\HeuristicLab.Constraints.dll" .\plugins
-copy "..\..\..\HeuristicLab.Data\bin\%1\HeuristicLab.Data.dll" .\plugins
-copy "..\..\..\HeuristicLab.DataAnalysis\bin\%1\HeuristicLab.DataAnalysis.dll" .\plugins
-copy "..\..\..\HeuristicLab.DistributedEngine\bin\%1\HeuristicLab.DistributedEngine.dll" .\plugins
-copy "..\..\..\HeuristicLab.Evolutionary\bin\%1\HeuristicLab.Evolutionary.dll" .\plugins
-copy "..\..\..\HeuristicLab.Functions\bin\%1\HeuristicLab.Functions.dll" .\plugins
-copy "..\..\..\HeuristicLab.Grid\bin\%1\HeuristicLab.Grid.dll" .\plugins
-copy "..\..\..\HeuristicLab.Logging\bin\%1\HeuristicLab.Logging.dll" .\plugins
-copy "..\..\..\HeuristicLab.Operators\bin\%1\HeuristicLab.Operators.dll" .\plugins
-copy "..\..\..\HeuristicLab.Operators.Metaprogramming\bin\%1\HeuristicLab.Operators.Metaprogramming.dll" .\plugins
-copy "..\..\..\HeuristicLab.Operators.Programmable\bin\%1\HeuristicLab.Operators.Programmable.dll" .\plugins
-copy "..\..\..\HeuristicLab.Operators.Stopwatch\bin\%1\HeuristicLab.Operators.Stopwatch.dll" .\plugins
-copy "..\..\..\HeuristicLab.OptimizationFrontend\bin\%1\HeuristicLab.OptimizationFrontend.dll" .\plugins
-copy "..\..\..\HeuristicLab.Permutation\bin\%1\HeuristicLab.Permutation.dll" .\plugins
-copy "..\..\..\HeuristicLab.Random\bin\%1\HeuristicLab.Random.dll" .\plugins
-copy "..\..\..\HeuristicLab.RealVector\bin\%1\HeuristicLab.RealVector.dll" .\plugins
-copy "..\..\..\HeuristicLab.Routing.TSP\bin\%1\HeuristicLab.Routing.TSP.dll" .\plugins
-copy "..\..\..\HeuristicLab.Scheduling.JSSP\bin\%1\HeuristicLab.Scheduling.JSSP.dll" .\plugins
-copy "..\..\..\HeuristicLab.Selection\bin\%1\HeuristicLab.Selection.dll" .\plugins
-copy "..\..\..\HeuristicLab.Selection.OffspringSelection\bin\%1\HeuristicLab.Selection.OffspringSelection.dll" .\plugins
-copy "..\..\..\HeuristicLab.SequentialEngine\bin\%1\HeuristicLab.SequentialEngine.dll" .\plugins
-copy "..\..\..\HeuristicLab.SGA\bin\%1\HeuristicLab.SGA.dll" .\plugins
-copy "..\..\..\HeuristicLab.SQLite\bin\%1\HeuristicLab.SQLite.dll" .\plugins
-copy "..\..\..\HeuristicLab.SQLite\System.Data.SQLite.dll" .\plugins
-copy "..\..\..\HeuristicLab.SQLite\SQLite License.txt" .\plugins
-copy "..\..\..\HeuristicLab.SQLite\SQLite.NET.chm" .\plugins
-copy "..\..\..\HeuristicLab.StructureIdentification\bin\%1\HeuristicLab.StructureIdentification.dll" .\plugins
-copy "..\..\..\HeuristicLab.TestFunctions\bin\%1\HeuristicLab.TestFunctions.dll" .\plugins
-copy "..\..\..\HeuristicLab.ThreadParallelEngine\bin\%1\HeuristicLab.ThreadParallelEngine.dll" .\plugins
-copy "..\..\..\HeuristicLab.ES\bin\%1\HeuristicLab.ES.dll" .\plugins
+copy "%1\HeuristicLab.AdvancedOptimizationFrontend\%2\HeuristicLab.AdvancedOptimizationFrontend.dll" .\plugins
+copy "%1\HeuristicLab.AdvancedOptimizationFrontend\WeifenLuo.WinFormsUI.Docking.dll" .\plugins
+copy "%1\HeuristicLab.AdvancedOptimizationFrontend\WeifenLuo.WinFormsUI.Docking License.txt" .\plugins
+copy "%1\HeuristicLab.BitVector\%2\HeuristicLab.BitVector.dll" .\plugins
+copy "%1\HeuristicLab.CEDMA.Charting\%2\HeuristicLab.CEDMA.Charting.dll" .\plugins
+copy "%1\HeuristicLab.CEDMA.Core\%2\HeuristicLab.CEDMA.Core.dll" .\plugins
+copy "%1\HeuristicLab.CEDMA.DB\%2\HeuristicLab.CEDMA.DB.dll" .\plugins
+copy "%1\HeuristicLab.CEDMA.DB\%2\SemWeb.SqliteStore.dll" .\plugins
+copy "%1\HeuristicLab.CEDMA.DB\%2\SemWeb.dll" .\plugins
+copy "%1\HeuristicLab.CEDMA.DB.Interfaces\%2\HeuristicLab.CEDMA.DB.Interfaces.dll" .\plugins
+copy "%1\HeuristicLab.CEDMA.Operators\%2\HeuristicLab.CEDMA.Operators.dll" .\plugins
+copy "%1\HeuristicLab.CEDMA.Server\%2\HeuristicLab.CEDMA.Server.dll" .\plugins
+copy "%1\HeuristicLab.Charting\%2\HeuristicLab.Charting.dll" .\plugins
+copy "%1\HeuristicLab.Charting.Data\%2\HeuristicLab.Charting.Data.dll" .\plugins
+copy "%1\HeuristicLab.Core\%2\HeuristicLab.Core.dll" .\plugins
+copy "%1\HeuristicLab.Constraints\%2\HeuristicLab.Constraints.dll" .\plugins
+copy "%1\HeuristicLab.Data\%2\HeuristicLab.Data.dll" .\plugins
+copy "%1\HeuristicLab.DataAnalysis\%2\HeuristicLab.DataAnalysis.dll" .\plugins
+copy "%1\HeuristicLab.DistributedEngine\%2\HeuristicLab.DistributedEngine.dll" .\plugins
+copy "%1\HeuristicLab.Evolutionary\%2\HeuristicLab.Evolutionary.dll" .\plugins
+copy "%1\HeuristicLab.Functions\%2\HeuristicLab.Functions.dll" .\plugins
+copy "%1\HeuristicLab.Grid\%2\HeuristicLab.Grid.dll" .\plugins
+copy "%1\HeuristicLab.Logging\%2\HeuristicLab.Logging.dll" .\plugins
+copy "%1\HeuristicLab.Operators\%2\HeuristicLab.Operators.dll" .\plugins
+copy "%1\HeuristicLab.Operators.Metaprogramming\%2\HeuristicLab.Operators.Metaprogramming.dll" .\plugins
+copy "%1\HeuristicLab.Operators.Programmable\%2\HeuristicLab.Operators.Programmable.dll" .\plugins
+copy "%1\HeuristicLab.Operators.Stopwatch\%2\HeuristicLab.Operators.Stopwatch.dll" .\plugins
+copy "%1\HeuristicLab.OptimizationFrontend\%2\HeuristicLab.OptimizationFrontend.dll" .\plugins
+copy "%1\HeuristicLab.Permutation\%2\HeuristicLab.Permutation.dll" .\plugins
+copy "%1\HeuristicLab.Random\%2\HeuristicLab.Random.dll" .\plugins
+copy "%1\HeuristicLab.RealVector\%2\HeuristicLab.RealVector.dll" .\plugins
+copy "%1\HeuristicLab.Routing.TSP\%2\HeuristicLab.Routing.TSP.dll" .\plugins
+copy "%1\HeuristicLab.Scheduling.JSSP\%2\HeuristicLab.Scheduling.JSSP.dll" .\plugins
+copy "%1\HeuristicLab.Selection\%2\HeuristicLab.Selection.dll" .\plugins
+copy "%1\HeuristicLab.Selection.OffspringSelection\%2\HeuristicLab.Selection.OffspringSelection.dll" .\plugins
+copy "%1\HeuristicLab.SequentialEngine\%2\HeuristicLab.SequentialEngine.dll" .\plugins
+copy "%1\HeuristicLab.SGA\%2\HeuristicLab.SGA.dll" .\plugins
+copy "%1\HeuristicLab.SQLite\%2\HeuristicLab.SQLite.dll" .\plugins
+copy "%1\HeuristicLab.SQLite\System.Data.SQLite.dll" .\plugins
+copy "%1\HeuristicLab.SQLite\SQLite License.txt" .\plugins
+copy "%1\HeuristicLab.SQLite\SQLite.NET.chm" .\plugins
+copy "%1\HeuristicLab.StructureIdentification\%2\HeuristicLab.StructureIdentification.dll" .\plugins
+copy "%1\HeuristicLab.TestFunctions\%2\HeuristicLab.TestFunctions.dll" .\plugins
+copy "%1\HeuristicLab.ThreadParallelEngine\%2\HeuristicLab.ThreadParallelEngine.dll" .\plugins
+copy "%1\HeuristicLab.ES\%2\HeuristicLab.ES.dll" .\plugins
Index: trunk/sources/HeuristicLab/HeuristicLab.csproj
===================================================================
--- trunk/sources/HeuristicLab/HeuristicLab.csproj	(revision 561)
+++ trunk/sources/HeuristicLab/HeuristicLab.csproj	(revision 564)
@@ -140,7 +140,7 @@
   -->
   <PropertyGroup>
-    <PostBuildEvent>cmd /c ..\..\CopyAssemblies.cmd $(ConfigurationName)
-cmd /c ..\..\UpdateLocalInstallation.cmd $(ConfigurationName)</PostBuildEvent>
-    <PreBuildEvent>cmd /c ..\..\..\PreBuildEvent.cmd</PreBuildEvent>
+    <PostBuildEvent>cmd /c $(ProjectDir)CopyAssemblies.cmd $(SolutionDir) $(Outdir)
+cmd /c $(ProjectDir)UpdateLocalInstallation.cmd $(Outdir)</PostBuildEvent>
+    <PreBuildEvent>cmd /c $(SolutionDir)PreBuildEvent.cmd $(ProjectDir)</PreBuildEvent>
   </PropertyGroup>
 </Project>