Index: /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.AdvancedOptimizationFrontend/Properties/AssemblyInfo.frame	(revision 579)
@@ -55,5 +55,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.BitVector/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.BitVector/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.BitVector/Properties/AssemblyInfo.frame	(revision 579)
@@ -55,5 +55,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.CEDMA.Charting/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Charting/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.CEDMA.Charting/Properties/AssemblyInfo.frame	(revision 579)
@@ -34,5 +34,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.CEDMA.Core/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Core/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.CEDMA.Core/Properties/AssemblyInfo.frame	(revision 579)
@@ -34,5 +34,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.CEDMA.DB.Interfaces/Properties/AssemblyInfo.frame	(revision 579)
@@ -34,5 +34,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.CEDMA.DB/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.DB/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.CEDMA.DB/Properties/AssemblyInfo.frame	(revision 579)
@@ -34,5 +34,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.CEDMA.Operators/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Operators/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.CEDMA.Operators/Properties/AssemblyInfo.frame	(revision 579)
@@ -34,5 +34,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.CEDMA.Server/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.CEDMA.Server/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.CEDMA.Server/Properties/AssemblyInfo.frame	(revision 579)
@@ -34,5 +34,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Charting.Data/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Charting.Data/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Charting.Data/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Charting/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Charting/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Charting/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Constraints/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Constraints/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Constraints/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Core/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Core/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Core/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Data/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Data/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Data/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.DataAnalysis/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.DataAnalysis/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.DataAnalysis/Properties/AssemblyInfo.frame	(revision 579)
@@ -55,5 +55,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.DistributedEngine/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.DistributedEngine/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.DistributedEngine/Properties/AssemblyInfo.frame	(revision 579)
@@ -55,5 +55,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.ES/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.ES/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.ES/Properties/AssemblyInfo.frame	(revision 579)
@@ -34,5 +34,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Evolutionary/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Evolutionary/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Evolutionary/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Functions/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Functions/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Functions/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Grid/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Grid/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Grid/Properties/AssemblyInfo.frame	(revision 579)
@@ -55,5 +55,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Logging/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Logging/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Logging/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Operators.Metaprogramming/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Metaprogramming/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Operators.Metaprogramming/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Operators.Programmable/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Programmable/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Operators.Programmable/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Operators.Stopwatch/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Stopwatch/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Operators.Stopwatch/Properties/AssemblyInfo.frame	(revision 579)
@@ -34,5 +34,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Operators/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Operators/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Operators/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.OptimizationFrontend/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.OptimizationFrontend/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.OptimizationFrontend/Properties/AssemblyInfo.frame	(revision 579)
@@ -55,5 +55,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Permutation/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Permutation/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Permutation/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/Properties/AssemblyInfo.frame	(revision 579)
@@ -51,4 +51,4 @@
 //      Revision
 //
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Properties/AssemblyInfo.frame	(revision 579)
@@ -52,4 +52,4 @@
 //      Revision
 //
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
Index: /trunk/sources/HeuristicLab.Random/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Random/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Random/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.RealVector/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.RealVector/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.RealVector/Properties/AssemblyInfo.frame	(revision 579)
@@ -55,5 +55,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Routing.TSP/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Routing.TSP/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Routing.TSP/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.SGA/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.SGA/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.SGA/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.SQLite/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.SQLite/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.SQLite/Properties/AssemblyInfo.frame	(revision 579)
@@ -33,5 +33,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Scheduling.JSSP/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Scheduling.JSSP/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Scheduling.JSSP/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Selection.OffspringSelection/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Selection.OffspringSelection/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Selection.OffspringSelection/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.Selection/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.Selection/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.Selection/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.SequentialEngine/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.SequentialEngine/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.SequentialEngine/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.StructureIdentification/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.StructureIdentification/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.StructureIdentification/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.TestFunctions/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.TestFunctions/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.TestFunctions/Properties/AssemblyInfo.frame	(revision 579)
@@ -55,5 +55,5 @@
 // by using the '*' as shown below:
 // [assembly: AssemblyVersion("1.0.*")]
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab.ThreadParallelEngine/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab.ThreadParallelEngine/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab.ThreadParallelEngine/Properties/AssemblyInfo.frame	(revision 579)
@@ -54,5 +54,5 @@
 // You can specify all the values or you can default the Revision and Build Numbers 
 // by using the '*' as shown below:
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]
 [assembly: AssemblyBuildDate("$WCNOW$")]
Index: /trunk/sources/HeuristicLab/CopyAssemblies.cmd
===================================================================
--- /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 578)
+++ /trunk/sources/HeuristicLab/CopyAssemblies.cmd	(revision 579)
@@ -8,5 +8,5 @@
 copy %1\HeuristicLab.AdvancedOptimizationFrontend\%2\HeuristicLab.AdvancedOptimizationFrontend.dll .\plugins
 copy %1\HeuristicLab.AdvancedOptimizationFrontend\WeifenLuo.WinFormsUI.Docking.dll .\plugins
-copy %1\HeuristicLab.AdvancedOptimizationFrontend\WeifenLuo.WinFormsUI.Docking License.txt .\plugins
+copy %1\HeuristicLab.AdvancedOptimizationFrontend\"WeifenLuo.WinFormsUI.Docking License.txt" .\plugins
 copy %1\HeuristicLab.BitVector\%2\HeuristicLab.BitVector.dll .\plugins
 copy %1\HeuristicLab.CEDMA.Charting\%2\HeuristicLab.CEDMA.Charting.dll .\plugins
@@ -45,5 +45,5 @@
 copy %1\HeuristicLab.SQLite\%2\HeuristicLab.SQLite.dll .\plugins
 copy %1\HeuristicLab.SQLite\System.Data.SQLite.dll .\plugins
-copy %1\HeuristicLab.SQLite\SQLite License.txt .\plugins
+copy %1\HeuristicLab.SQLite\"SQLite License.txt" .\plugins
 copy %1\HeuristicLab.SQLite\SQLite.NET.chm .\plugins
 copy %1\HeuristicLab.StructureIdentification\%2\HeuristicLab.StructureIdentification.dll .\plugins
Index: /trunk/sources/HeuristicLab/Properties/AssemblyInfo.frame
===================================================================
--- /trunk/sources/HeuristicLab/Properties/AssemblyInfo.frame	(revision 578)
+++ /trunk/sources/HeuristicLab/Properties/AssemblyInfo.frame	(revision 579)
@@ -52,4 +52,4 @@
 //      Revision
 //
-[assembly: AssemblyVersion("3.0.0.$WCREV$")]
-[assembly: AssemblyFileVersion("3.0.0.$WCREV$")]
+[assembly: AssemblyVersion("3.1.0.$WCREV$")]
+[assembly: AssemblyFileVersion("3.1.0.$WCREV$")]