Index: /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/ManagerForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/ManagerForm.cs	(revision 599)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/ManagerForm.cs	(revision 600)
@@ -1002,9 +1002,10 @@
     }
 
-    private void pluginTreeView_KeyPress(object sender, KeyPressEventArgs e) {
+    private void pluginTreeView_KeyDown(object sender, KeyEventArgs e) {
       e.Handled = true;
-      if(e.KeyChar == 'i' && installButton.Enabled) {
+      e.SuppressKeyPress = true;
+      if(e.KeyData == Keys.I && installButton.Enabled) {
         installButton_Clicked(sender, e);
-      } else if(e.KeyChar == 'd' && deleteButton.Enabled) {
+      } else if((e.KeyData == Keys.D || e.KeyData==Keys.Delete) && deleteButton.Enabled) {
         removeButton_Clicked(sender, e);
       }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/ManagerForm.designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/ManagerForm.designer.cs	(revision 599)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure.GUI/ManagerForm.designer.cs	(revision 600)
@@ -115,5 +115,5 @@
       // 
       this.managePluginSourcesToolStripMenuItem.Name = "managePluginSourcesToolStripMenuItem";
-      this.managePluginSourcesToolStripMenuItem.Size = new System.Drawing.Size(195, 22);
+      this.managePluginSourcesToolStripMenuItem.Size = new System.Drawing.Size(206, 22);
       this.managePluginSourcesToolStripMenuItem.Text = "Edit plugin sources...";
       this.managePluginSourcesToolStripMenuItem.Click += new System.EventHandler(this.managePluginSourcesToolStripMenuItem_Click);
@@ -122,5 +122,5 @@
       // 
       this.installPluginFromFileToolStripMenuItem.Name = "installPluginFromFileToolStripMenuItem";
-      this.installPluginFromFileToolStripMenuItem.Size = new System.Drawing.Size(195, 22);
+      this.installPluginFromFileToolStripMenuItem.Size = new System.Drawing.Size(206, 22);
       this.installPluginFromFileToolStripMenuItem.Text = "Install plugin from file...";
       this.installPluginFromFileToolStripMenuItem.Click += new System.EventHandler(this.installPluginFromFileToolStripMenuItem_Click);
@@ -129,10 +129,10 @@
       // 
       this.toolStripSeparator2.Name = "toolStripSeparator2";
-      this.toolStripSeparator2.Size = new System.Drawing.Size(192, 6);
+      this.toolStripSeparator2.Size = new System.Drawing.Size(203, 6);
       // 
       // installedPluginsToolStripMenuItem
       // 
       this.installedPluginsToolStripMenuItem.Name = "installedPluginsToolStripMenuItem";
-      this.installedPluginsToolStripMenuItem.Size = new System.Drawing.Size(195, 22);
+      this.installedPluginsToolStripMenuItem.Size = new System.Drawing.Size(206, 22);
       this.installedPluginsToolStripMenuItem.Text = "Update";
       this.installedPluginsToolStripMenuItem.Click += new System.EventHandler(this.updateButton_Click);
@@ -141,5 +141,5 @@
       // 
       this.installNewPluginsToolStripMenuItem.Name = "installNewPluginsToolStripMenuItem";
-      this.installNewPluginsToolStripMenuItem.Size = new System.Drawing.Size(195, 22);
+      this.installNewPluginsToolStripMenuItem.Size = new System.Drawing.Size(206, 22);
       this.installNewPluginsToolStripMenuItem.Text = "Delete/Upgrade/Install...";
       this.installNewPluginsToolStripMenuItem.Click += new System.EventHandler(this.upgradeButton_Click);
@@ -148,10 +148,10 @@
       // 
       this.toolStripSeparator3.Name = "toolStripSeparator3";
-      this.toolStripSeparator3.Size = new System.Drawing.Size(192, 6);
+      this.toolStripSeparator3.Size = new System.Drawing.Size(203, 6);
       // 
       // refreshPluginListToolStripMenuItem
       // 
       this.refreshPluginListToolStripMenuItem.Name = "refreshPluginListToolStripMenuItem";
-      this.refreshPluginListToolStripMenuItem.Size = new System.Drawing.Size(195, 22);
+      this.refreshPluginListToolStripMenuItem.Size = new System.Drawing.Size(206, 22);
       this.refreshPluginListToolStripMenuItem.Text = "Refresh plugin list";
       this.refreshPluginListToolStripMenuItem.Click += new System.EventHandler(this.refreshPluginListToolStripMenuItem_Click);
@@ -160,5 +160,5 @@
       // 
       this.exitToolStripMenuItem.Name = "exitToolStripMenuItem";
-      this.exitToolStripMenuItem.Size = new System.Drawing.Size(195, 22);
+      this.exitToolStripMenuItem.Size = new System.Drawing.Size(206, 22);
       this.exitToolStripMenuItem.Text = "Close";
       this.exitToolStripMenuItem.Click += new System.EventHandler(this.closeToolStripMenuItem_Click);
@@ -175,5 +175,5 @@
       // 
       this.aboutToolStripMenuItem.Name = "aboutToolStripMenuItem";
-      this.aboutToolStripMenuItem.Size = new System.Drawing.Size(115, 22);
+      this.aboutToolStripMenuItem.Size = new System.Drawing.Size(126, 22);
       this.aboutToolStripMenuItem.Text = "About...";
       this.aboutToolStripMenuItem.Click += new System.EventHandler(this.aboutToolStripMenuItem_Click);
@@ -209,7 +209,7 @@
       this.pluginTreeView.Size = new System.Drawing.Size(828, 220);
       this.pluginTreeView.TabIndex = 0;
-      this.pluginTreeView.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.pluginTreeView_KeyPress);
       this.pluginTreeView.NodeMouseClick += new System.Windows.Forms.TreeNodeMouseClickEventHandler(this.pluginTreeView_NodeMouseClick);
       this.pluginTreeView.BeforeSelect += new System.Windows.Forms.TreeViewCancelEventHandler(this.pluginTreeView_BeforeSelect);
+      this.pluginTreeView.KeyDown += new System.Windows.Forms.KeyEventHandler(this.pluginTreeView_KeyDown);
       // 
       // pluginIcons
@@ -317,10 +317,10 @@
             this.publishMenuItem});
       this.pluginContextMenuStrip.Name = "pluginContextMenuStrip";
-      this.pluginContextMenuStrip.Size = new System.Drawing.Size(108, 70);
+      this.pluginContextMenuStrip.Size = new System.Drawing.Size(119, 70);
       // 
       // installMenuItem
       // 
       this.installMenuItem.Name = "installMenuItem";
-      this.installMenuItem.Size = new System.Drawing.Size(107, 22);
+      this.installMenuItem.Size = new System.Drawing.Size(118, 22);
       this.installMenuItem.Text = "Install";
       this.installMenuItem.Click += new System.EventHandler(this.installButton_Clicked);
@@ -329,5 +329,5 @@
       // 
       this.deleteMenuItem.Name = "deleteMenuItem";
-      this.deleteMenuItem.Size = new System.Drawing.Size(107, 22);
+      this.deleteMenuItem.Size = new System.Drawing.Size(118, 22);
       this.deleteMenuItem.Text = "Delete";
       this.deleteMenuItem.Click += new System.EventHandler(this.removeButton_Clicked);
@@ -336,5 +336,5 @@
       // 
       this.publishMenuItem.Name = "publishMenuItem";
-      this.publishMenuItem.Size = new System.Drawing.Size(107, 22);
+      this.publishMenuItem.Size = new System.Drawing.Size(118, 22);
       this.publishMenuItem.Text = "Publish";
       this.publishMenuItem.Click += new System.EventHandler(this.publishButton_Click);